/* Basic Landing Page Form */

.basic-lp-form {
  height: 100%;
  padding: 9vw;
}

@supports(padding: max(0px)) {
  .basic-lp-form {
    padding-left: max(9vw, env(safe-area-inset-left));
    padding-right: max(9vw, env(safe-area-inset-right));
  }
}

@media(min-width: 640px) {
  .basic-lp-form {
    padding: 4.5vw;
  }
  
  @supports(padding: max(0px)) {
    .basic-lp-form {
      padding-left: max(4.5vw, env(safe-area-inset-left));
      padding-right: max(4.5vw, env(safe-area-inset-right));
    }
  }
}

.basic-lp-form.theme-orange {
  background-color: #F5821F;
}

.basic-lp-form.theme-light-blue {
  background-color: #0099D8;
}

.basic-lp-form.theme-lime {
/*   background-color: #82C341; */
  background-color: #0099D8;
}

.basic-lp-form.theme-dark-blue {
  background-color: #033572;
}

.basic-lp-form.theme-white {
  background-color: #FFF;
}

.basic-lp-form.theme-orange .heading,
.basic-lp-form.theme-light-blue .heading,
.basic-lp-form.theme-lime .heading,
.basic-lp-form.theme-white .heading {
  color: #033572;
}

.basic-lp-form.theme-dark-blue .heading {
  color: #FFF;
}

.basic-lp-form.theme-orange .hs-fieldtype-text input[type="text"],
.basic-lp-form.theme-orange .hs-fieldtype-text input[type="email"],
.basic-lp-form.theme-orange .hs-fieldtype-text input[type="tel"],
.basic-lp-form.theme-orange .hs-fieldtype-textarea textarea,
.basic-lp-form.theme-orange .hs-fieldtype-checkbox input[type="checkbox"],
.basic-lp-form.theme-orange .hs-fieldtype-booleancheckbox input[type="checkbox"],
.basic-lp-form.theme-orange .hs-fieldtype-radio input[type="radio"],
.basic-lp-form.theme-orange .hs-fieldtype-select select {
  border-color: #EC730B;
}

.basic-lp-form.theme-light-blue .hs-fieldtype-text input[type="text"],
.basic-lp-form.theme-light-blue .hs-fieldtype-text input[type="email"],
.basic-lp-form.theme-light-blue .hs-fieldtype-text input[type="tel"],
.basic-lp-form.theme-light-blue .hs-fieldtype-textarea textarea,
.basic-lp-form.theme-light-blue .hs-fieldtype-checkbox input[type="checkbox"],
.basic-lp-form.theme-light-blue .hs-fieldtype-booleancheckbox input[type="checkbox"],
.basic-lp-form.theme-light-blue .hs-fieldtype-radio input[type="radio"],
.basic-lp-form.theme-light-blue .hs-fieldtype-select select {
  border-color: #008BC4;
}

.basic-lp-form.theme-lime .hs-fieldtype-text input[type="text"],
.basic-lp-form.theme-lime .hs-fieldtype-text input[type="email"],
.basic-lp-form.theme-lime .hs-fieldtype-text input[type="tel"],
.basic-lp-form.theme-lime .hs-fieldtype-textarea textarea,
.basic-lp-form.theme-lime .hs-fieldtype-checkbox input[type="checkbox"],
.basic-lp-form.theme-lime .hs-fieldtype-booleancheckbox input[type="checkbox"],
.basic-lp-form.theme-lime .hs-fieldtype-radio input[type="radio"],
.basic-lp-form.theme-lime .hs-fieldtype-select select {
  {# border-color: #6EAE2E; #}
  border-color: #008BC4;
}

.basic-lp-form.theme-dark-blue .hs-fieldtype-text input[type="text"],
.basic-lp-form.theme-dark-blue .hs-fieldtype-text input[type="email"],
.basic-lp-form.theme-dark-blue .hs-fieldtype-text input[type="tel"],
.basic-lp-form.theme-dark-blue .hs-fieldtype-textarea textarea,
.basic-lp-form.theme-dark-blue .hs-fieldtype-checkbox input[type="checkbox"],
.basic-lp-form.theme-dark-blue .hs-fieldtype-booleancheckbox input[type="checkbox"],
.basic-lp-form.theme-dark-blue .hs-fieldtype-radio input[type="radio"],
.basic-lp-form.theme-dark-blue .hs-fieldtype-select select {
  border-color: #002859;
}

.basic-lp-form.theme-dark-blue .hs-fieldtype-checkbox input[type="checkbox"]:checked,
.basic-lp-form.theme-dark-blue .hs-fieldtype-booleancheckbox input[type="checkbox"]:checked,
.basic-lp-form.theme-dark-blue .hs-fieldtype-radio input[type="radio"]:checked {
  background-color: #FFF;
}

.basic-lp-form.theme-dark-blue .hs-fieldtype-checkbox input[type="checkbox"]::before,
.basic-lp-form.theme-dark-blue .hs-fieldtype-booleancheckbox input[type="checkbox"]::before,
.basic-lp-form.theme-dark-blue .hs-fieldtype-radio input[type="radio"]::before {
  {# color: #}
}

.basic-lp-form.theme-dark-blue .hs-fieldtype-text label,
.basic-lp-form.theme-dark-blue .hs-fieldtype-phonenumber label,
.basic-lp-form.theme-dark-blue .hs-fieldtype-select label,
.basic-lp-form.theme-dark-blue .hs-fieldtype-checkbox label,
.basic-lp-form.theme-dark-blue .hs-fieldtype-booleancheckbox label,
.basic-lp-form.theme-dark-blue .hs-fieldtype-radio label {
  color: #FFF;
}

.basic-lp-form .hs-submit .actions {
  text-align: center;
}

.basic-lp-form .hs-submit input[type="submit"] {
  {# color: #002654; #}
  color: #fff;
  {# background-color: #82c341; #}
  background-color: #033572;
  box-shadow: 0 10px 13px -5px rgba(218, 105, 7, 0.2);
}

.basic-lp-form.theme-dark-blue .hs-submit input[type="submit"] {
  color: #fff;
  background-color: #0099D8;
}
